# Summary 

# Introduction

- [About this documentation](./README.md)

# Setup

- [Introduction](./setup/README.md)
- [Installation](./setup/installation.md)
- [General configuration](./setup/general.md)
- [Database setup](./setup/database.md)
- [Homeserver configuration](./setup/homeserver.md)
- [Configuring a reverse proxy](./setup/reverse-proxy.md)
- [Configuring .well-known](./setup/well-known.md)
- [Running the service](./setup/running.md)
- [Migrating an existing homeserver](./setup/migration.md)
# Usage

- [Configuration file reference](./usage/configuration.md)
- [Using the service](./usage/usage.md)
- [Command line tool](./usage/cli/README.md)
    - [`config`](./usage/cli/config.md)
    - [`database`](./usage/cli/database.md)
    - [`manage`](./usage/cli/manage.md)
    - [`server`](./usage/cli/server.md)
    - [`templates`](./usage/cli/templates.md)

# Development

- [Contributing](./development/contributing.md)
- [Architecture](./development/architecture.md)
- [Database](./development/database.md)
